<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY alsa-plugins-download-http "&alsa-download-http;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
  <!ENTITY alsa-plugins-download-ftp  " ">
  <!ENTITY alsa-plugins-md5sum        "71fce75baa38efab4e32e40db0a33716">
  <!ENTITY alsa-plugins-size          "400 KB">
  <!ENTITY alsa-plugins-buildsize     "5.1 MB">
  <!ENTITY alsa-plugins-time          "less than 0.1 SBU">
]>

<sect1 id="alsa-plugins" xreflabel="alsa-plugins-&alsa-plugins-version;">
  <?dbhtml filename="alsa-plugins.html"?>


  <title>alsa-plugins-&alsa-plugins-version;</title>

  <indexterm zone="alsa-plugins">
    <primary sortas="a-alsa-plugins">alsa-plugins</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to ALSA Plugins</title>

    <para>
      The <application>ALSA Plugins</application> package contains
      plugins for various audio libraries and sound servers.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&alsa-plugins-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&alsa-plugins-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &alsa-plugins-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &alsa-plugins-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &alsa-plugins-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &alsa-plugins-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">ALSA Plugins Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="alsa-lib"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="ffmpeg"/>, <!-- looks for libav, libavcodec -->
      <xref linkend="libsamplerate"/>,
      <xref linkend="pulseaudio"/>,
      <xref linkend="speex"/>,
      <ulink url="https://jackaudio.org/">JACK</ulink>,
      <ulink url="https://github.com/AVnu/libavtp/">libavtp</ulink>, and
      <ulink url="http://maemo.org/">maemo</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of ALSA Plugins</title>

    <para>
      Install <application>ALSA Plugins</application> by
      running the following commands:
    </para>

<screen><userinput>./configure --sysconfdir=/etc &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>
<!--
  <sect2 role="commands">
    <title>Command Explanations</title>

    # Builds fine with ffmpeg-7.0.1 for version 1.2.12.

    <para>
      <option>- -disable-libav</option>: Disable FFMpeg support as the
      package does not build when <xref linkend="ffmpeg"/> is installed.
    </para>

  </sect2>
-->
  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          Numerous libasound_module_<replaceable>&lt;module&gt;</replaceable>.so
          modules including
          conf_pulse,
          ctl_arcam_av,
          ctl_oss,
          ctl_pulse,
          pcm_a52,
          pcm_jack,
          pcm_oss,
          pcm_pulse,
          pcm_speex,
          pcm_upmix,
          pcm_usb_stream,
          pcm_vdownmix,
          rate_lavrate*,
          rate_samplerate*, and
          rate_speexrate*
        </seg>
        <seg>
          /usr/lib/alsa-lib
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libasound_module_pcm_oss.so">
        <term><filename class="libraryfile">libasound_module_pcm_oss.so</filename></term>
        <listitem>
          <para>
            Allows native <application>ALSA</application> applications to
            run on <application>OSS</application>
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_oss.so">
            <primary sortas="c-libasound_module_pcm_oss">libasound_module_pcm_oss.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_pcm_upmix.so">
        <term><filename class="libraryfile">libasound_module_pcm_upmix.so</filename></term>
        <listitem>
          <para>
            Allows upmixing sound to 4 or 6 channels
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_upmix.so">
            <primary sortas="c-libasound_module_pcm_upmix">libasound_module_pcm_upmix.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_pcm_vdownmix.so">
        <term><filename class="libraryfile">libasound_module_pcm_vdownmix.so</filename></term>
        <listitem>
          <para>
            Allows downmixing sound from 4-6 channels to 2
            channel stereo output
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_vdownmix.so">
            <primary sortas="c-libasound_module_pcm_vdownmix">libasound_module_pcm_vdownmix.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_pcm_jack.so">
        <term><filename class="libraryfile">libasound_module_pcm_jack.so</filename></term>
        <listitem>
          <para>
            Allows native <application>ALSA</application> applications to
            work with <command>jackd</command>
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_jack.so">
            <primary sortas="c-libasound_module_pcm_jack">libasound_module_pcm_jack.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_pcm_pulse.so">
        <term><filename class="libraryfile">libasound_module_pcm_pulse.so</filename></term>
        <listitem>
          <para>
            Allows native <application>ALSA</application> applications
            to access a <application>PulseAudio</application> sound
            daemon
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_pulse.so">
            <primary sortas="c-libasound_module_pcm_pulse">libasound_module_pcm_pulse.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_pcm_a52.so">
        <term><filename class="libraryfile">libasound_module_pcm_a52.so</filename></term>
        <listitem>
          <para>
            Converts S16 linear sound format to A52 compressed format
            and sends it to an SPDIF output
          </para>
          <indexterm zone="alsa-plugins libasound_module_pcm_a52.so">
            <primary sortas="c-libasound_module_pcm_a52">libasound_module_pcm_a52.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libasound_module_rate_samplerate.so">
        <term><filename class="libraryfile">libasound_module_rate_samplerate.so</filename></term>
        <listitem>
          <para>
            Provides an external rate converter through
            <filename class="libraryfile">libsamplerate</filename>
          </para>
          <indexterm zone="alsa-plugins libasound_module_rate_samplerate.so">
            <primary sortas="c-libasound_module_rate_samplerate">libasound_module_rate_samplerate.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
